# **Mobroute**: What is MDBID & the Mobility Database?

## **Contents:**

- *1:* [Overview](#strongoverviewstrong)
- *2:* [Finding MDBIDs: CI-Tested Feeds / Routes](#strongfinding-mdbidsstrong-ci-tested-feeds--routes)
- *3:* [Finding MDBIDs: Browsable Mobility Database Source Catalog UI](#strongfinding-mdbidsstrong-browsable-mobility-database-source-catalog-ui)
- *4:* [Finding MDBIDs: User-Reported Known Good & Problematic Feeds](#strongfinding-mdbidsstrong-user-reported-known-good-amp-problematic-feeds)

## **Overview**

In terms of user configuration, **MDBID** (or Mobility Database ID)
is an essential component of using Mobroute. MDBID references which
datafeed in the [Mobility Database](https://database.mobilitydata.org/)
you wish to use for routing requests. The Mobility Database project
crowdsources & aggegrates usable GTFS datafeeds; and thus in Mobroute by
specifying which MDBID(s) you wish to use for routing frees the end-user
from having to source and manage GTFS archives directly. Rather the user
simply specifies which MDBID(s) they want to use for routing, and the
Mobroute ETL system handles the rest (pulling the correct GTFS archive
as specified by the Mobility Database, updating when necessary, etc.)

So now the question is ofcourse.. how can you find which feeds are in
the Mobility Database and which MDBID(s) should you use for routing
calculations with Mobroute?

## **Finding MDBIDs:** CI-Tested Feeds / Routes

> [CI-Tested Feeds / Routes Page](https://ci.lrdu.org/tests_results/)

The first choice in picking which source (MDBID) you should use for
routing requests should be to reference the [routing API's automated
test results page](https://ci.lrdu.org/tests_results/).  This page is
automated generated through continuous integration and this CI is run
with every change to Mobroute's codebase. As such, the feeds in this
list are essentially "known good" & "tested" feeds in that these feeds
were tested against in development. Ofcourse this is a quite small list
in comparison with the potential 1000s of feeds in the Mobility Database.


## **Finding MDBIDs:** Browsable Mobility Database Source Catalog UI

> [Browsable Mobility Database Source Catalog UI](https://mdb.lrdu.org/)

The second choice in picking which source (MDBID) you
should use for routing requests is to reference the [Mobility
Database](https://database.mobilitydata.org/) itself. Since the Mobility
Database distributes its data a CSV which may be unweildly, the [Browsable
Mobility Database Source Catalog UI](http://mdb.lrdu.org) can be used
to quickly search & find potential sources to test.

Mobroute is potentially compatible with any/all sources in this UI,
However, unfortunately, not all sources are valid GTFS and some feeds
are outdated, invalid GTFS, and similar. This UI flags feeds which are
known as active versus not. You should aim to use active feeds or CI-tested
feeds.

## **Finding MDBIDs:** User-Reported Known Good & Problematic Feeds

> [User-Reported Known Good & Problematic Feeds Ticket](https://todo.sr.ht/~mil/mobroute-tickets/25)

Users of Mobroute & Transito are encouraged to report back (e.g. comment
on the ticket) feeds which work well and those that cause issues on
Mobroute's ticket tracker. The [user-reported known good & problematic
feeds ticket](https://todo.sr.ht/~mil/mobroute-tickets/25) is an ongoing
tracking as such of feeds that both work well (yet have not been added to
CI yet) and feeds which fail to route properly and diagnostics. Posting
in this ticket will enable continual improvement of Mobroute by helping
flag & assess problems in the routing system with untested GTFS feeds.

---

> [All Mobroute Docs](http://sr.ht/~mil/mobroute)
